
function init()
	truck = FindVehicle("kamaz")

	turn_anchor = FindJoints("anchor1")
	push_anchor = FindJoints("anchor3")
	crane_rot = FindJoint("crane1")
	crane_arm = FindJoints("crane2")
	rotate_claw = FindJoint("crane3")
	claw = FindJoints("claw")
end

function tick(dt)
	local vehicle = GetPlayerVehicle()
	if vehicle ~= truck then
		return
	end

	for i=1, #turn_anchor do
		SetJointMotor(turn_anchor[i], (InputDown("u") and 0.5 or 0) - (InputDown("j") and 0.5 or 0))
	end
	for i=1, #push_anchor do
		SetJointMotor(push_anchor[i], (InputDown("i") and 0.5 or 0) - (InputDown("k") and 0.5 or 0))
	end
	SetJointMotor(crane_rot, (InputDown("f") and 0.5 or 0) - (InputDown("h") and 0.5 or 0))
	for i=1, #push_anchor do
		SetJointMotor(crane_arm[i], (InputDown("g") and 0.5 or 0) - (InputDown("t") and 0.5 or 0))
	end
	SetJointMotor(rotate_claw, (InputDown("r") and 1 or 0) - (InputDown("y") and 1 or 0))
	for i=1, #claw do
		SetJointMotor(claw[i], (InputDown("o") and 2 or 0) - (InputDown("l") and 2 or 0))
	end
end
