function clamp(value, mi, ma)
	if value < mi then value = mi end
	if value > ma then value = ma end
	return value
end

function init()
	vehicle = FindVehicle("scania")
	joints = FindJoints("ramp")
	angle = GetJointMovement(joints[1])
	min, max = GetJointLimits(joints[1])
	for i = 1, #joints do
		SetJointMotorTarget(joints[i], angle, 1, 1000)
	end
	local beacon = FindJoint("beacon")
	SetJointMotor(beacon, 8, 1000)
end

function tick(dt)
	if GetPlayerVehicle() == vehicle then
		if InputDown("lmb") then
			angle = angle + 30 * dt
		end
		if InputDown("rmb") then
			angle = angle - 30 * dt
		end
		angle = clamp(angle, min, max)
		for i = 1, #joints do
			SetJointMotorTarget(joints[i], angle, 1, 1000)
		end
	end
end
